TagLib::S3M::Properties Class Reference

An implementation of audio property reading for S3M. More...

`#include <s3mproperties.h>`

Inheritance diagram for TagLib::S3M::Properties:
[legend]
Collaboration diagram for TagLib::S3M::Properties:
[legend]

## Public Types

enum | { ST2Vibrato = 1 , ST2Tempo = 2 , AmigaSlides = 4 , Vol0MixOptimizations = 8 , AmigaLimits = 16 , EnableFilter = 32 , CustomData = 128 }
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }

## Public Member Functions

| Properties (AudioProperties::ReadStyle propertiesStyle)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | channels () const override
unsigned short | lengthInPatterns () const
bool | stereo () const
unsigned short | sampleCount () const
unsigned short | patternCount () const
unsigned short | flags () const
unsigned short | trackerVersion () const
unsigned short | fileFormatVersion () const
unsigned char | globalVolume () const
unsigned char | masterVolume () const
unsigned char | tempo () const
unsigned char | bpmSpeed () const
void | setChannels (int channels)
void | setLengthInPatterns (unsigned short lengthInPatterns)
void | setStereo (bool stereo)
void | setSampleCount (unsigned short sampleCount)
void | setPatternCount (unsigned short patternCount)
void | setFlags (unsigned short flags)
void | setTrackerVersion (unsigned short trackerVersion)
void | setFileFormatVersion (unsigned short fileFormatVersion)
void | setGlobalVolume (unsigned char globalVolume)
void | setMasterVolume (unsigned char masterVolume)
void | setTempo (unsigned char tempo)
void | setBpmSpeed (unsigned char bpmSpeed)
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const
virtual int | lengthInMilliseconds () const
virtual int | bitrate () const
virtual int | sampleRate () const

## Additional Inherited Members

Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for S3M.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Flag bits.

Enumerator
ST2Vibrato |
ST2Tempo |
AmigaSlides |
Vol0MixOptimizations |
AmigaLimits |
EnableFilter |
CustomData |

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::S3M::Properties::Properties | ( | AudioProperties::ReadStyle | propertiesStyle | ) |

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::S3M::Properties::~Properties | ( |  | ) |

override

## Properties() [2/2]

TagLib::S3M::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bpmSpeed()

unsigned char TagLib::S3M::Properties::bpmSpeed | ( |  | ) | const

Referenced by setBpmSpeed().

## channels()

int TagLib::S3M::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

Referenced by setChannels().

## fileFormatVersion()

unsigned short TagLib::S3M::Properties::fileFormatVersion | ( |  | ) | const

Referenced by setFileFormatVersion().

## flags()

unsigned short TagLib::S3M::Properties::flags | ( |  | ) | const

Referenced by setFlags().

## globalVolume()

unsigned char TagLib::S3M::Properties::globalVolume | ( |  | ) | const

Referenced by setGlobalVolume().

## lengthInPatterns()

unsigned short TagLib::S3M::Properties::lengthInPatterns | ( |  | ) | const

Referenced by setLengthInPatterns().

## masterVolume()

unsigned char TagLib::S3M::Properties::masterVolume | ( |  | ) | const

Referenced by setMasterVolume().

## operator=()

Properties & TagLib::S3M::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## patternCount()

unsigned short TagLib::S3M::Properties::patternCount | ( |  | ) | const

Referenced by setPatternCount().

## sampleCount()

unsigned short TagLib::S3M::Properties::sampleCount | ( |  | ) | const

Referenced by setSampleCount().

## setBpmSpeed()

void TagLib::S3M::Properties::setBpmSpeed | ( | unsigned char | bpmSpeed | ) |

References bpmSpeed(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setChannels()

void TagLib::S3M::Properties::setChannels | ( | int | channels | ) |

References channels().

## setFileFormatVersion()

void TagLib::S3M::Properties::setFileFormatVersion | ( | unsigned short | fileFormatVersion | ) |

References fileFormatVersion().

## setFlags()

void TagLib::S3M::Properties::setFlags | ( | unsigned short | flags | ) |

References flags().

## setGlobalVolume()

void TagLib::S3M::Properties::setGlobalVolume | ( | unsigned char | globalVolume | ) |

References globalVolume().

## setLengthInPatterns()

void TagLib::S3M::Properties::setLengthInPatterns | ( | unsigned short | lengthInPatterns | ) |

References lengthInPatterns().

## setMasterVolume()

void TagLib::S3M::Properties::setMasterVolume | ( | unsigned char | masterVolume | ) |

References masterVolume().

## setPatternCount()

void TagLib::S3M::Properties::setPatternCount | ( | unsigned short | patternCount | ) |

References patternCount().

## setSampleCount()

void TagLib::S3M::Properties::setSampleCount | ( | unsigned short | sampleCount | ) |

References sampleCount().

## setStereo()

void TagLib::S3M::Properties::setStereo | ( | bool | stereo | ) |

References stereo().

## setTempo()

void TagLib::S3M::Properties::setTempo | ( | unsigned char | tempo | ) |

References tempo().

## setTrackerVersion()

void TagLib::S3M::Properties::setTrackerVersion | ( | unsigned short | trackerVersion | ) |

References trackerVersion().

## stereo()

bool TagLib::S3M::Properties::stereo | ( |  | ) | const

Referenced by setStereo().

## tempo()

unsigned char TagLib::S3M::Properties::tempo | ( |  | ) | const

Referenced by setTempo().

## trackerVersion()

unsigned short TagLib::S3M::Properties::trackerVersion | ( |  | ) | const

Referenced by setTrackerVersion().

The documentation for this class was generated from the following file:

- s3mproperties.h